CLEAR ALL
BITMAP 1 NEW 640,400
SHADER 1 LOAD "GeodesicTiling.fs"
SPRITE 1 BIND BITMAP 1 SET SHADER 1 SHOW
x=640:y=400:xd=RANGE(0,7)+8:yd=RANGE(0,7)+8
DO
    SPRITE 1 MOVE x,y
    x=x+xd:IF x<0 OR x>1280 THEN xd=-xd
    y=y+yd:IF y<0 OR y>800 THEN yd=-yd
    PAUSE
LOOP WHILE INKEY$=""
